Back to Warranty API

Get Current User

GET /api/v1/auth/me

Retrieve the current authenticated user's profile including their endpoint and brand permissions. Requires a valid access token.

Headers

Parameter Type Required Description
Authorization string Yes Bearer token from login (e.g., Bearer eyJhbG...)

Example Request

curl -X GET https://api.marquatica.com/api/v1/auth/me \
  -H "Authorization: Bearer <Token>"

Success Response (200)

{
  "success": true,
  "status": 200,
  "data": {
    "user_id": 1,
    "email": "your@email.com",
    "is_active": true,
    "endpoints": ["warranty", "lead_submission"],
    "brands": [1, 2]
  }
}

Error Responses

{
  "success": false,
  "status": 401,
  "error": {
    "code": "AUTHENTICATION_FAILED",
    "message": "Missing or invalid access token"
  }
}
{
  "success": false,
  "status": 404,
  "error": {
    "code": "USER_NOT_FOUND",
    "message": "User not found"
  }
}
Try It Out
cURL Preview
GET https://api.marquatica.com/api/v1/auth/me
Base URL
Authorization
* Bearer Token required
Response
Send a request to see the response
On this page